function G = los_controller(x,y)
%Finished with (x_last,y_last), headed to (x_next,y_next)
% (x,y) is the position of the ship

global wp wp_oa k L

u_0 = 10;
R = L*2; % Radius in circle of acceptanse. Guideline: R = two ship lengths
R_oa = 5;
mode = 1;

x_last = wp(k,1);
y_last = wp(k,2);

if ~isempty(wp_oa)
    x_next = wp_oa(1,1);
    y_next = wp_oa(1,2);
    mode = 2;
else
    x_next = wp(k+1,1);
    y_next = wp(k+1,2);
end

alpha = atan2(y_next-y_last,x_next-x_last);
e = -(x-x_last)*sin(alpha) + (y-y_last)*cos(alpha); 
delta = 40;

chi_p = alpha;
chi_r = atan2(-e,delta);
psi_d = chi_p + chi_r;

u_d = u_0;
if mode == 2
  if ((x_next-x)^2+(y_next-y)^2)<=R_oa^2  
      disp('reached wp_oa');
        wp_oa(1,:) = [];
  end
else 
    if ((x_next-x)^2+(y_next-y)^2)<=R^2 && k<length(wp)-1
        disp('reached wp');
        k = k+1;
    end
end

G = [psi_d u_d]';
end