
function [] = plot_wp(color)
%x and y are the coordinates of the center of the circle
%r is the radius of the circle
%0.01 is the angle step, bigger values will draw the circle faster but
%you might notice imperfections (not very smooth)

global wp L

R = L*2; % Radius in circle of acceptanse. Guideline: R = two ship lengths

for i=1:length(wp)
    x = wp(i,1); y = wp(i,2);
    
    %Small circle to indicate the WP
    plot_circle(x,y,0.5,color)
    
    %Bigger circle to indicate the circle of acceptanse
    plot_circle(x,y,R,['--' color])
end

