
clear; close all;

parameters;
global wp wp_oa k num_obs prev_mode prev_x prev_y
global u_B psi_B x0_B y0_B

wp = [0 0; 150 75];
wp_oa = [];

k = 1;
num_obs = 1;     %number of obstacles (other skips)
prev_mode = 1;
prev_x = 0; prev_y = 0;

tstart = 0;      %Sim start time
tstop=25;        %Sim stop time
tsamp=0.5;       %Sampling time
t = tstart:tsamp:tstop;

% OBSTACLES
u_B = 8;    % velocity ship B 
psi_B = pi*3/4; % heading ship B
x0_B = 150; y0_B = -50; % staring position ship B

sim sim_sbg

x_B = (x0_B+ u_B*t*cos(psi_B))';
y_B = (y0_B + u_B*t*sin(psi_B))';

plot_sbg(x,y,psi,'b', x_B, y_B, psi_B, 'r');
