function [ out ] = find_clear_path( p_ASV, p_obs, u_obs, psi_obs, r )
r = r+2;
global wp k

out = 0;
delta_t = 2;

x_1 = p_ASV(1); y_1 = p_ASV(2);
x_2 = wp(k+1,1); y_2 = wp(k+1,2);
x_c = p_obs(1); y_c = p_obs(2);

a = (x_2-x_1)^2 + (y_2-y_1)^2;
b = 2*(x_2-x_1)*(x_1-x_c) + 2*(y_2-y_1)*(y_1-y_c);
c = (x_1-x_c)^2 + (y_1-y_c)^2 - r^2;

t = zeros(2,1);
d = sqrt(b^2 - 4*a*c);
t(1) = ( -b + d ) / (2*a);
t(2) = ( -b - d ) / (2*a);

if ~isreal(t)
    x_m = (x_1 + x_2)/2;
    y_m = (y_1 + y_2)/2;
    dist_0 = sqrt((x_m-x_c)^2+(y_m-y_c)^2);
    x_c_next = x_c + delta_t*u_obs*cos(psi_obs);
    y_c_next = y_c + delta_t*u_obs*sin(psi_obs);
    dist_1 = sqrt((x_m-x_c_next)^2+(y_m-y_c_next)^2);
    if dist_1 >= dist_0
        %[x_1 y_1]
        out = 1;
    end
end

end

